Linux CXL
 help / color / mirror / Atom feed
From: alison.schofield@intel.com
To: Vishal Verma <vishal.l.verma@intel.com>,
	Dan Williams <dan.j.williams@intel.com>
Cc: Alison Schofield <alison.schofield@intel.com>,
	nvdimm@lists.linux.dev, linux-cxl@vger.kernel.org
Subject: [ndctl PATCH 2/2] cxl/test: allow another host bridge in cxl-topology check
Date: Thu, 15 Sep 2022 18:35:02 -0700	[thread overview]
Message-ID: <1380b5042ba3baf39777183205cc3d6974519159.1663290390.git.alison.schofield@intel.com> (raw)
In-Reply-To: <cover.1663290390.git.alison.schofield@intel.com>

From: Alison Schofield <alison.schofield@intel.com>

Update the related count checks to allow a third CXL Host
Bridge in the cxl_test topology.

Signed-off-by: Alison Schofield <alison.schofield@intel.com>
---
 test/cxl-topology.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/test/cxl-topology.sh b/test/cxl-topology.sh
index 2583005fef26..11c39f61cf52 100644
--- a/test/cxl-topology.sh
+++ b/test/cxl-topology.sh
@@ -32,7 +32,7 @@ root=$(jq -r ".[] | .bus" <<< $json)
 port_sort="sort_by(.port | .[4:] | tonumber)"
 json=$($CXL list -b cxl_test -BP)
 count=$(jq ".[] | .[\"ports:$root\"] | length" <<< $json)
-((count == 2)) || err "$LINENO"
+((count == 4)) || err "$LINENO"
 
 bridge[0]=$(jq -r ".[] | .[\"ports:$root\"] | $port_sort | .[0].port" <<< $json)
 bridge[1]=$(jq -r ".[] | .[\"ports:$root\"] | $port_sort | .[1].port" <<< $json)
@@ -103,11 +103,11 @@ count=$(jq "[ $decoder_sort | .[3] |
 ((count == 1)) || err "$LINENO"
 
 
-# check that all 8 cxl_test memdevs are enabled by default and have a
+# check that all 16 cxl_test memdevs are enabled by default and have a
 # pmem size of 256M, or 1G
 json=$($CXL list -b cxl_test -M)
 count=$(jq "map(select(.pmem_size == $pmem_size)) | length" <<< $json)
-((count == 8)) || err "$LINENO"
+((count == 16 )) || err "$LINENO"
 
 
 # check that switch ports disappear after all of their memdevs have been
-- 
2.31.1


      parent reply	other threads:[~2022-09-16  1:35 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-16  1:35 [ndctl PATCH 0/2] Add CXL XOR region test alison.schofield
2022-09-16  1:35 ` [ndctl PATCH 1/2] cxl/test: add cxl_xor_region test alison.schofield
2022-09-16  1:35 ` alison.schofield [this message]

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1380b5042ba3baf39777183205cc3d6974519159.1663290390.git.alison.schofield@intel.com \
    --to=alison.schofield@intel.com \
    --cc=dan.j.williams@intel.com \
    --cc=linux-cxl@vger.kernel.org \
    --cc=nvdimm@lists.linux.dev \
    --cc=vishal.l.verma@intel.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox